# 46. Mutasjon: Generer flerlagers «ZonesMap» asynkront

Generer "ZonesMap" basert på flere lag for "Field" asynkront.

{% hint style="info" %}
Den asynkrone tilnærmingen oppretter en oppgave (Generate "generateVectorAnalysisMap") for behandling, og abonnementet vil bli mottatt så snart behandlingen er ferdig.
{% endhint %}

Attributt `dataLag` inneholder den nødvendige informasjonen per datalag som skal brukes i resultatet "ZonesMap". Attributtet `faktor` representerer **vekt** av datalaget.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutasjon GenerateMultiLayerZonesMapAsync {
  generateMultiLayersVectorAnalysisMapAsync(input: {
    fieldUuid: "<placeholder_of_field_uuid>"
    antallSone:7
    navn: "MultiYear f1.0 + LIDAR Slope f-0.5 + OM f0.5 + VolDr f0.2"
    dataLag: [{
      faktor: 1.0
      satelliteImageUuids: [
        "<placeholder_of_satelliteimage_uuid_1>",
	"<placeholder_of_satelliteimage_uuid_2>",
        "<plassholder_for_satellittbilde_uuid_3>",
        "<plassholder_for_satellittbilde_uuid_4>",
        "<plassholder_for_satellittbilde_uuid_5>",
        "<plassholder_for_satellittbilde_uuid_6>",
        "<plassholder_for_satellittbilde_uuid_7>",
        "<plassholder_for_satellittbilde_uuid_8>",
        "<plassholder_for_satellittbilde_uuid_9>",
        "<plassholder_for_satellittbilde_uuid_10>"
      ]
    	index: EVI2
    }, {
      faktor: -0.5
      topographyMapUuid: "<placeholder_of_topographymap_uuid>"
    	topografiAttributt: helning
    }, {
      faktor: 0.5
      soilDatasetUuid: "<placeholder_of_soildataset_uuid>"
      jordAttributt: "Soil_OM___"
    }, {
      faktor: 0.2
      yieldDatasetUuid: "<placeholder_of_yielddataset_uuid>"
      avlingsAttributt: vol_d
    }]
  }) {    
    uuid 
    fieldUuid
    statusKode  
  }
}

```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/nor/api-dokumentasjon/geopard-api-foresporsler-oversikt/46.-mutasjon-generer-flerlagers-zonesmap-asynkront.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
